Get the Norton Core app

To use the Norton Core app, your mobile device must meet the following requirements:

  • Android 4.4 or higher

  • iOS 8.1 or higher

  • Bluetooth 4.0 (BLE)

  • Data connectivity (for initial setup)

Thank you!

Thank you for using Norton Support.

< Back

Was this information helpful?

DOCID: v118380506_core_en_us
Operating System: Android, iOS
Last modified: 01/06/2017